<h1 class='float-middle' *ngIf='!location'> Loading... </h1>

<div class='container' *ngIf='location'>

  <div *ngIf='!(authorized$|async); else editable;'>

      <div class="row">
        <div class="col-md-5 display-nice">
            <label>Id:</label>{{ id }}
            <br/> <label>Name:</label>{{location.name}}
            <br/> <label>Address Line 1:</label>{{location.addressLine1}}
            <!-- <br/> <label>Address Line 2:</label>{{location.addressLine2}} -->
            <br/> <label>City:</label>{{location.city}}
            <br/> <label>State:</label>{{location.state}}
            <br/> <label>Zipcode:</label>{{location.zipcode}}
            <hr/>
            <br/> createdBy: {{location.createdBy}}
            <br/> createdTs: {{location.createdTs | date:'M/d/yy, h:mm a' }}
        </div>
        <div class="col-md-7 " style='height: 500px;'>
          <div id="googleMap" class="border border-primary rounded">
            <h1 class="centered mt-5 ml-5" >Loading...</h1>
          </div>
        </div>
      </div>

  </div>

  <ng-template #editable>

    <div class="row">
      <div class="col-xs-12 col-sm-10 col-md-6 col-sm-offset-1 col-md-offset-2">
        <h6> Location edit </h6>
        <form [formGroup]='locationEditForm' (ngSubmit)="onSubmit()">

          <div class="form-group">
            <label for="name">Id</label>
            <input type="text" readonly class='form-control' value='{{ id }}'>
          </div>

          <div class="form-group">
            <label for="name">Name</label>
            <input type="text" name="name" id="name" class='form-control' formControlName='name'>

            <span *ngIf="!locationEditForm.get('name').valid && locationEditForm.get('name').touched" class="help-block">
              Location name requires minimum of 4 characters!
            </span>
          </div>

          <div class="form-group">
            <label for="name">Address Line 1</label>
            <input type="text" name="addressLine1" id="addressLine1" class='form-control' formControlName='addressLine1'>
            <span *ngIf="!locationEditForm.get('addressLine1').valid && locationEditForm.get('addressLine1').touched" class="help-block">
              Address Line is required!
            </span>
          </div>

          <div class="form-group">
            <label for="name">Address Line 2</label>
            <input type="text" name="addressLine2" id="addressLine2" class='form-control' formControlName='addressLine2'>

          </div>

          <div class="form-group">
            <label for="name">City</label>
            <input type="text" name="city" id="city" class='form-control' formControlName='city'>

            <span *ngIf="!locationEditForm.get('city').valid && locationEditForm.get('city').touched" class="help-block">
              City is required!
            </span>

          </div>
          <div class="form-group">
            <label for="name">State</label>
            <input type="text" name="state" id="state" class='form-control' formControlName='state'>

            <span *ngIf="!locationEditForm.get('state').valid && locationEditForm.get('state').touched" class="help-block">
              State is required!
            </span>

          </div>

          <div class="form-group">
            <label for="name">Zipcode</label>
            <input type="number" name="zipcode" id="zipcode" class='form-control' formControlName='zipcode'>

            <span *ngIf="!locationEditForm.get('zipcode').valid && locationEditForm.get('zipcode').touched" class="help-block">
              Zipcode is required with 5 digits!
            </span>
          </div>


          <button class="btn btn-primary" type="submit" [disabled]="!locationEditForm.dirty || !locationEditForm.valid">Submit</button>
        </form>



      </div>
      <div class="col-xs-12 col-sm-10 col-md-6 col-sm-offset-1 col-md-offset-2">

            <div id="googleMap" class="border border-primary rounded">
              <h1 class="centered mt-5 ml-5" >Loading...</h1>
            </div>

      </div>

    </div>

  </ng-template>

</div>
